Bug 117505 - FILESAVE: RTF: header size changes after RT
Summary: FILESAVE: RTF: header size changes after RT
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.5
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RTF-Header-Footer
  Show dependency treegraph
 
Reported: 2018-05-08 16:01 UTC by Xisco Faulí
Modified: 2018-05-29 13:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
comparison MSO 2010 and LibreOffice 6.1 (241.35 KB, image/png)
2018-05-08 16:01 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-05-08 16:01:26 UTC
Created attachment 141978 [details]
comparison MSO 2010 and LibreOffice 6.1

Steps to reproduce:
1. Open attachment 61804 [details] from bug 61804
2. Save it as .RTF
3. Open the new document and compare the header. See attached image

Reproduced in

Version: 6.1.0.0.alpha1+
Build ID: 1e2afc9bd3062cfba6b65b45c17a08f298014239
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2018-05-08 16:02:19 UTC
Regression introduced by:

author	Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-19 22:37:58 +0100
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2018-02-20 08:11:57 +0100
commit	a16275a3647a2fba9913ed23e8329e45b02123b4 (patch)
tree	fd02655cd83c0bf92e0c255031b6c4b456236208
parent	19a906f09688f06ee90cac2a50126aeba749a331 (diff)
tdf#112694 DOCX import: handle <w:titlePg> when turning on follow style header

Bisected with: bibisect-linux64-6.1

Adding Cc: to Miklos Vajna
Comment 2 Miklos Vajna 2018-05-08 16:45:02 UTC
Did you refer to the wrong bugdoc? The screenshot shows an image in the header, the bugdoc has no image in the header.
Comment 3 Xisco Faulí 2018-05-08 16:51:09 UTC
(In reply to Miklos Vajna from comment #2)
> Did you refer to the wrong bugdoc? The screenshot shows an image in the
> header, the bugdoc has no image in the header.

True, I used the bug id as attachment id

attachment 75905 [details] from bug 61804
Comment 4 Commit Notification 2018-05-23 07:12:49 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5956828c88501ef1366e60010b05053a8e1e642e

tdf#117505 RTF export: fix incorrect header distance for first/follow pages

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-05-27 15:50:55 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8e4a9db1e62871878155207c2c4d252b3705c307&h=libreoffice-6-0

tdf#117505 RTF export: fix incorrect header distance for first/follow pages

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Xisco Faulí 2018-05-29 13:22:35 UTC
Verified in

Version: 6.1.0.0.beta1+
Build ID: da49f4aeb8d5e9a7d2cba8855d911e7cc1d2f1e2
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

@Miklos, Thanks for fixing this!!